MMEvents.createProcesses(event => {
  event
    .create('mm:crushed_blackstone_sieve_recipe')
    .structureId('mm:sieve_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:crushed_blackstone',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 10000
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.85,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:black_dye',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:gunpowder',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.50,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:gold_nugget',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.35,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:magma_cream',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.1,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:ancient_debris',
        count: 1
      }
    })
})
